# Class JELQuerySequenceFactory

java.lang.Object
uk.ac.starlink.ttools.cone.JELQuerySequenceFactory

All Implemented Interfaces:
  `QuerySequenceFactory`

public class JELQuerySequenceFactory extends Object implements QuerySequenceFactory
QuerySequenceFactory which uses JEL expressions for RA, Dec and SR.

Since:
  16 Oct 2007
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`JELQuerySequenceFactory(String raExpr, String decExpr, String srExpr)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`ConeQueryRowSequence`
`createQuerySequence(uk.ac.starlink.table.StarTable table)`
Creates a query sequence.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JELQuerySequenceFactory

public JELQuerySequenceFactory(String raExpr, String decExpr, String srExpr)
Constructor. The JEL expressions will be resolved using the column names of the supplied table when the factory method is called.

Parameters:
  `raExpr` - JEL expression for right ascension in degrees; if null a guess will be attempted
  `decExpr` - JEL expression for declination in degrees; if null a guess will be attempted
  `srExpr` - JEL expression for search radius in degrees

## Method Details

### createQuerySequence

public ConeQueryRowSequence createQuerySequence(uk.ac.starlink.table.StarTable table) throws IOException
Description copied from interface: `QuerySequenceFactory`
Creates a query sequence.

Specified by:
  `createQuerySequence` in interface `QuerySequenceFactory`
Parameters:
  `table` - input table
Throws:
  `IOException`